package cn.iocoder.yudao.module.order.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 最新编号记录类型枚举
 */
@AllArgsConstructor
@Getter
public enum OrderNumberEnum {

    ORDER_NO(1, "订单单号"),
    OFFER_NO(2, "报价单单号"),
    RECEIPT_NO(3, "收款单号"),
    PAYMENT_NO(3, "付款单号"),
    COMMISSION_PAYMENT_NO(5, "佣金付款单号"),
    ;
    /**
     * 类型
     */
    private final Integer type;
    /**
     * 类型名
     */
    private final String name;
}
